from textwrap import dedent
from timeit import timeit
iterations = 5

time = timeit(stmt='collapse_addresses(data)',
              setup=dedent(
                  '''
                  from ipaddress import ip_network, collapse_addresses

                  with open('testdata.lst') as fptr:
                      data = fptr.readlines()
                  data = [ip_network(_.strip()) for _ in data if _.strip()]
                  '''),
              number=iterations)
print('Execution time:', time / iterations, 'seconds')
